package xugutest

import (
	"context"
	"fmt"
	"io"
	"log"
	"os"
	"testing"
	_ "xugu_driver/xugu"
)

func TestStmtExec(t *testing.T) {

	//db.Exec("create table goblob(a int, b blob);")
	// 打开文件
	file, err := os.Open("C:/Program_GT/Code/Go/Work/xugu/xugu_driver/todo.txt")
	if err != nil {
		log.Fatal(err)
	}
	defer file.Close()
	// 读取文件内容
	content, err := io.ReadAll(file)
	if err != nil {
		log.Fatal(err)
	}

	//stmt方式插入
	stmt, err := db.Prepare("insert into goblob values(1, ?);")
	if err != nil {
		fmt.Println("error", err)
	}
	_, err = stmt.Exec(content)
	if err != nil {
		fmt.Println("error", err)
	}

}

func TestStmtExecContext(t *testing.T) {
	_, err := db.ExecContext(context.Background(),
		"create table go_test(c1 int, c2 varchar);")
	if err != nil {
		log.Fatal(err)
	}

	db.Close()

}
